allura-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From brond...@apache.org
Subject [allura] 01/02: Upgrade pygments package from 2.4.2 -> 2.5.2
Date Thu, 11 Feb 2021 23:44:42 GMT
This is an automated email from the ASF dual-hosted git repository.

brondsem pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/allura.git

commit b03365a2a49a4003763aa88f8d1777f3ae82af90
Author: Kenton Taylor <ktaylor@slashdotmedia.com>
AuthorDate: Tue Feb 9 15:38:24 2021 +0000

    Upgrade pygments package from 2.4.2 -> 2.5.2
---
 Allura/allura/tests/test_globals.py | 2 +-
 requirements.in                     | 2 +-
 requirements.txt                    | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/Allura/allura/tests/test_globals.py b/Allura/allura/tests/test_globals.py
index 954a15b..43e3905 100644
--- a/Allura/allura/tests/test_globals.py
+++ b/Allura/allura/tests/test_globals.py
@@ -833,7 +833,7 @@ class TestEmojis(unittest.TestCase):
         output = g.markdown.convert('```html\n<p>:camel:</p>\n```')
         assert_in(':camel:', output)
         output = g.markdown.convert('~~~\n:camel:\n~~~')
-        assert_in('<span class="p">:</span><span class="n">camel</span><span
class="p">:</span>', output)
+        assert_in('<span></span><span class="err">:camel:</span>',
output)
 
     def test_markdown_commit_with_emojis(self):
         output = g.markdown_commit.convert('Thumbs up emoji :+1: wow!')
diff --git a/requirements.in b/requirements.in
index 16c75c9..410a16a 100644
--- a/requirements.in
+++ b/requirements.in
@@ -32,7 +32,7 @@ PasteScript
 Pillow
 # profanity filter for feedback
 profanityfilter==2.0.6
-Pygments
+Pygments==2.5.2
 pymongo==3.10.1
 Pypeline[creole,markdown,textile,rst]
 pysolr==3.6.0
diff --git a/requirements.txt b/requirements.txt
index 0177650..b3e9349 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -65,7 +65,7 @@ prompt-toolkit==1.0.16    # via ipython
 ptyprocess==0.6.0         # via pexpect
 pycparser==2.19           # via cffi
 pyflakes==2.1.1           # via -r requirements.in
-pygments==2.4.2           # via -r requirements.in, ipython
+pygments==2.5.2           # via -r requirements.in, ipython
 pymongo==3.10.1           # via -r requirements.in, activitystream, ming
 pyparsing==2.4.7          # via httplib2, packaging
 pypeline[creole,markdown,rst,textile]==0.5.2  # via -r requirements.in


Mime
View raw message